Trying to ./configure php, getting ldap library error

Discuss server installationa nd configuration issues here

Moderators: egami, macek, gesf

Post Reply
raphael75
New php-forum User
New php-forum User
Posts: 32
Joined: Fri Apr 06, 2012 9:54 pm

Tue Jul 28, 2015 4:26 am

I'm trying to ./configure PHP 5.6.11 on Debian 8.1. It gets to this line and stops:


Code: Select all

checking for LDAP Cyrus SASL support... no
checking size of long int... 8
configure: error: Cannot find ldap libraries in /usr/include.
I can't figure out what ldap it's looking for. I don't know if this is helpful (and I'm not sure exactly what the output means):

Code: Select all

#dpkg -l *ldap*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                  Version         Architecture    Description
+++-=====================-===============-===============-===============================================
un  dovecot-ldap          <none>          <none>          (no description available)
un  ldap-client           <none>          <none>          (no description available)
un  ldap-server           <none>          <none>          (no description available)
ii  ldap-utils            2.4.40+dfsg-1   amd64           OpenLDAP utilities
un  libapache2-mod-ldap-u <none>          <none>          (no description available)
un  libapache2-mod-vhost- <none>          <none>          (no description available)
un  libaprutil1-ldap      <none>          <none>          (no description available)
un  libldap-2.3-0         <none>          <none>          (no description available)
ii  libldap-2.4-2:amd64   2.4.40+dfsg-1   amd64           OpenLDAP libraries
ii  libldap-2.4-2-dbg:amd 2.4.40+dfsg-1   amd64           Debugging information for OpenLDAP libraries
un  libldap-dev           <none>          <none>          (no description available)
un  libldap2              <none>          <none>          (no description available)
ii  libldap2-dev:amd64    2.4.40+dfsg-1   amd64           OpenLDAP development libraries
un  libnet-ldap-perl      <none>          <none>          (no description available)
un  libopenldap-dev       <none>          <none>          (no description available)
ii  libsasl2-modules-ldap 2.1.26.dfsg1-13 amd64           Cyrus SASL - pluggable authentication modules (
un  openldap-utils        <none>          <none>          (no description available)
un  openldapd             <none>          <none>          (no description available)
ii  php5-ldap             5.6.9+dfsg-0+de amd64           LDAP module for php5
un  sudo-ldap             <none>          <none>          (no description available)
un  umich-ldap-utils      <none>          <none>          (no description available)
un  umich-ldapd           <none>          <none>          (no description available)

here is the ./configure code:

Code: Select all

./configure 
--with-apxs2=/usr/local/apache2/bin/apxs 
--with-mysql 
--with-pdo-mysql=mysqlnd 
--with-openssl 
--with-gd 
--with-zlib 
--enable-shmop 
--enable-sockets 
--enable-sysvsem 
--enable-sysvshm 
--enable-mbstring 
--with-iconv 
--with-litespeed 
--with-ldap 
--with-mcrypt 
--enable-gd-native-ttf 
--with-png 
--with-ttf 
--with-freetype-dir=/usr/local/lib/ 
--enable-calendar
--enable-zip
On the --with-ldap, I've tried:

Code: Select all

--with-ldap
--with-ldap=/usr
--with-ldap=/usr/bin
--with-ldap=/usr/include
--with-ldap=/usr/lib

Post Reply